import { world } from '@minecraft/server';

world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
		case '!sit':
			eventData.cancel = true;
			player.runCommandAsync('execute as @s[ry=135,rym=45] run summon md:sit ~~-0.05~ facing ~-9~~');
			player.runCommandAsync('execute as @s[ry=-45,rym=-135] run summon md:sit ~~-0.05~ facing ~9~~');
			player.runCommandAsync('execute as @s[ry=45,rym=-45] run summon md:sit ~~-0.05~ facing ~~~9');
			player.runCommandAsync('execute as @s[ry=-135,rym=135] run summon md:sit ~~-0.05~ facing ~~~-9');
			player.runCommandAsync('ride @s start_riding @e[family=sit,tag=!has_rider,c=1]');
			break;
		case '!ride':
			eventData.cancel = true;
			player.runCommandAsync('event entity @s ride');
			break;
		case '!bocil':
			eventData.cancel = true;
			player.runCommandAsync('event entity @s bocil');
			break;
		default: break;
	}
});