const paintbrushColors = {
  white: ["ascent_paint:paintbrush_white", "ascent_paint:premium_paintbrush_white", "ascent_paint:white_paintball"],
  orange: ["ascent_paint:paintbrush_orange", "ascent_paint:premium_paintbrush_orange", "ascent_paint:orange_paintball"],
  magenta: ["ascent_paint:paintbrush_magenta", "ascent_paint:premium_paintbrush_magenta", "ascent_paint:magenta_paintball"],
  light_blue: ["ascent_paint:paintbrush_light_blue", "ascent_paint:premium_paintbrush_light_blue", "ascent_paint:light_blue_paintball"],
  yellow: ["ascent_paint:paintbrush_yellow", "ascent_paint:premium_paintbrush_yellow", "ascent_paint:yellow_paintball"],
  lime: ["ascent_paint:paintbrush_lime", "ascent_paint:premium_paintbrush_lime", "ascent_paint:lime_paintball"],
  pink: ["ascent_paint:paintbrush_pink", "ascent_paint:premium_paintbrush_pink", "ascent_paint:pink_paintball"],
  gray: ["ascent_paint:paintbrush_gray", "ascent_paint:premium_paintbrush_gray", "ascent_paint:gray_paintball"],
  light_gray: ["ascent_paint:paintbrush_light_gray", "ascent_paint:premium_paintbrush_light_gray", "ascent_paint:light_gray_paintball"],
  cyan: ["ascent_paint:paintbrush_cyan", "ascent_paint:premium_paintbrush_cyan", "ascent_paint:cyan_paintball"],
  purple: ["ascent_paint:paintbrush_purple", "ascent_paint:premium_paintbrush_purple", "ascent_paint:purple_paintball"],
  blue: ["ascent_paint:paintbrush_blue", "ascent_paint:premium_paintbrush_blue", "ascent_paint:blue_paintball"],
  brown: ["ascent_paint:paintbrush_brown", "ascent_paint:premium_paintbrush_brown", "ascent_paint:brown_paintball"],
  green: ["ascent_paint:paintbrush_green", "ascent_paint:premium_paintbrush_green", "ascent_paint:green_paintball"],
  red: ["ascent_paint:paintbrush_red", "ascent_paint:premium_paintbrush_red", "ascent_paint:red_paintball"],
  black: ["ascent_paint:paintbrush_black", "ascent_paint:premium_paintbrush_black", "ascent_paint:black_paintball"]
};
const BlockMapping = [
  { from: "minecraft:white_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:orange_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:magenta_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:light_blue_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:yellow_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:lime_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:pink_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:gray_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:light_gray_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:cyan_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:purple_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:blue_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:brown_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:green_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:red_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:black_concrete_powder", to: "minecraft:concrete_powder" },
  { from: "minecraft:white_concrete", to: "minecraft:concrete" },
  { from: "minecraft:orange_concrete", to: "minecraft:concrete" },
  { from: "minecraft:magenta_concrete", to: "minecraft:concrete" },
  { from: "minecraft:light_blue_concrete", to: "minecraft:concrete" },
  { from: "minecraft:yellow_concrete", to: "minecraft:concrete" },
  { from: "minecraft:lime_concrete", to: "minecraft:concrete" },
  { from: "minecraft:pink_concrete", to: "minecraft:concrete" },
  { from: "minecraft:gray_concrete", to: "minecraft:concrete" },
  { from: "minecraft:light_gray_concrete", to: "minecraft:concrete" },
  { from: "minecraft:cyan_concrete", to: "minecraft:concrete" },
  { from: "minecraft:purple_concrete", to: "minecraft:concrete" },
  { from: "minecraft:blue_concrete", to: "minecraft:concrete" },
  { from: "minecraft:brown_concrete", to: "minecraft:concrete" },
  { from: "minecraft:green_concrete", to: "minecraft:concrete" },
  { from: "minecraft:red_concrete", to: "minecraft:concrete" },
  { from: "minecraft:black_concrete", to: "minecraft:concrete" },
  { from: "minecraft:hardened_clay", to: "minecraft:terracotta" },
  { from: "minecraft:white_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:orange_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:magenta_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:light_blue_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:yellow_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:lime_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:pink_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:gray_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:light_gray_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:cyan_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:purple_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:blue_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:brown_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:green_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:red_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:black_terracotta", to: "minecraft:terracotta" },
  { from: "minecraft:glass", to: "minecraft:stained_glass" },
  { from: "minecraft:white_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:orange_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:magenta_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:light_blue_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:yellow_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:lime_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:pink_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:gray_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:light_gray_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:cyan_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:purple_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:blue_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:brown_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:green_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:red_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:black_stained_glass", to: "minecraft:stained_glass" },
  { from: "minecraft:glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:white_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:orange_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:magenta_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:light_blue_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:yellow_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:lime_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:pink_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:gray_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:light_gray_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:cyan_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:purple_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:blue_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:brown_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:green_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:red_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:black_stained_glass_pane", to: "minecraft:stained_glass_pane" },
  { from: "minecraft:white_wool", to: "minecraft:wool" },
  { from: "minecraft:orange_wool", to: "minecraft:wool" },
  { from: "minecraft:magenta_wool", to: "minecraft:wool" },
  { from: "minecraft:light_blue_wool", to: "minecraft:wool" },
  { from: "minecraft:yellow_wool", to: "minecraft:wool" },
  { from: "minecraft:lime_wool", to: "minecraft:wool" },
  { from: "minecraft:pink_wool", to: "minecraft:wool" },
  { from: "minecraft:gray_wool", to: "minecraft:wool" },
  { from: "minecraft:light_gray_wool", to: "minecraft:wool" },
  { from: "minecraft:cyan_wool", to: "minecraft:wool" },
  { from: "minecraft:purple_wool", to: "minecraft:wool" },
  { from: "minecraft:blue_wool", to: "minecraft:wool" },
  { from: "minecraft:brown_wool", to: "minecraft:wool" },
  { from: "minecraft:green_wool", to: "minecraft:wool" },
  { from: "minecraft:red_wool", to: "minecraft:wool" },
  { from: "minecraft:black_wool", to: "minecraft:wool" },
  { from: "minecraft:white_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:orange_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:magenta_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:light_blue_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:yellow_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:lime_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:pink_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:gray_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:silver_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:cyan_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:purple_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:blue_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:brown_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:green_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:red_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:black_glazed_terracotta", to: "minecraft:glazed_terracotta" },
  { from: "minecraft:oak_log", to: "ascent_paint:oak_log" },
  { from: "minecraft:spruce_log", to: "ascent_paint:spruce_log" },
  { from: "minecraft:birch_log", to: "ascent_paint:birch_log" },
  { from: "minecraft:jungle_log", to: "ascent_paint:jungle_log" },
  { from: "minecraft:acacia_log", to: "ascent_paint:acacia_log" },
  { from: "minecraft:dark_oak_log", to: "ascent_paint:dark_oak_log" },
  { from: "minecraft:mangrove_log", to: "ascent_paint:mangrove_log" },
  { from: "minecraft:cherry_log", to: "ascent_paint:cherry_log" },
  { from: "minecraft:warped_stem", to: "ascent_paint:warped_stem" },
  { from: "minecraft:crimson_stem", to: "ascent_paint:crimson_stem" },
  { from: "minecraft:oak_wood", to: "ascent_paint:oak_wood" },
  { from: "minecraft:spruce_wood", to: "ascent_paint:spruce_wood" },
  { from: "minecraft:birch_wood", to: "ascent_paint:birch_wood" },
  { from: "minecraft:jungle_wood", to: "ascent_paint:jungle_wood" },
  { from: "minecraft:acacia_wood", to: "ascent_paint:acacia_wood" },
  { from: "minecraft:dark_oak_wood", to: "ascent_paint:dark_oak_wood" },
  { from: "minecraft:mangrove_wood", to: "ascent_paint:mangrove_wood" },
  { from: "minecraft:cherry_wood", to: "ascent_paint:cherry_wood" },
  { from: "minecraft:warped_hyphae", to: "ascent_paint:warped_hyphae" },
  { from: "minecraft:crimson_hyphae", to: "ascent_paint:crimson_hyphae" },
  { from: "minecraft:bamboo_block", to: "ascent_paint:bamboo_block" },
  { from: "minecraft:stripped_oak_log", to: "ascent_paint:stripped_oak_log" },
  { from: "minecraft:stripped_spruce_log", to: "ascent_paint:stripped_spruce_log" },
  { from: "minecraft:stripped_birch_log", to: "ascent_paint:stripped_birch_log" },
  { from: "minecraft:stripped_jungle_log", to: "ascent_paint:stripped_jungle_log" },
  { from: "minecraft:stripped_acacia_log", to: "ascent_paint:stripped_acacia_log" },
  { from: "minecraft:stripped_dark_oak_log", to: "ascent_paint:stripped_dark_oak_log" },
  { from: "minecraft:stripped_mangrove_log", to: "ascent_paint:stripped_mangrove_log" },
  { from: "minecraft:stripped_cherry_log", to: "ascent_paint:stripped_cherry_log" },
  { from: "minecraft:stripped_warped_stem", to: "ascent_paint:stripped_warped_stem" },
  { from: "minecraft:stripped_crimson_stem", to: "ascent_paint:stripped_crimson_stem" },
  { from: "minecraft:stripped_bamboo_block", to: "ascent_paint:stripped_bamboo_block" },
  { from: "minecraft:stripped_oak_wood", to: "ascent_paint:stripped_oak_wood" },
  { from: "minecraft:stripped_spruce_wood", to: "ascent_paint:stripped_spruce_wood" },
  { from: "minecraft:stripped_birch_wood", to: "ascent_paint:stripped_birch_wood" },
  { from: "minecraft:stripped_jungle_wood", to: "ascent_paint:stripped_jungle_wood" },
  { from: "minecraft:stripped_acacia_wood", to: "ascent_paint:stripped_acacia_wood" },
  { from: "minecraft:stripped_dark_oak_wood", to: "ascent_paint:stripped_dark_oak_wood" },
  { from: "minecraft:stripped_mangrove_wood", to: "ascent_paint:stripped_mangrove_wood" },
  { from: "minecraft:stripped_cherry_wood", to: "ascent_paint:stripped_cherry_wood" },
  { from: "minecraft:stripped_warped_hyphae", to: "ascent_paint:stripped_warped_hyphae" },
  { from: "minecraft:stripped_crimson_hyphae", to: "ascent_paint:stripped_crimson_hyphae" },
  { from: "minecraft:oak_planks", to: "ascent_paint:oak_planks" },
  { from: "minecraft:spruce_planks", to: "ascent_paint:spruce_planks" },
  { from: "minecraft:birch_planks", to: "ascent_paint:birch_planks" },
  { from: "minecraft:jungle_planks", to: "ascent_paint:jungle_planks" },
  { from: "minecraft:acacia_planks", to: "ascent_paint:acacia_planks" },
  { from: "minecraft:dark_oak_planks", to: "ascent_paint:dark_oak_planks" },
  { from: "minecraft:mangrove_planks", to: "ascent_paint:mangrove_planks" },
  { from: "minecraft:cherry_planks", to: "ascent_paint:cherry_planks" },
  { from: "minecraft:crimson_planks", to: "ascent_paint:crimson_planks" },
  { from: "minecraft:warped_planks", to: "ascent_paint:warped_planks" },
  { from: "minecraft:bamboo_planks", to: "ascent_paint:bamboo_planks" },
  { from: "minecraft:bamboo_mosaic", to: "ascent_paint:bamboo_mosaic" },
  { from: "minecraft:oak_slab", to: "ascent_paint:oak_slab" },
  { from: "minecraft:spruce_slab", to: "ascent_paint:spruce_slab" },
  { from: "minecraft:birch_slab", to: "ascent_paint:birch_slab" },
  { from: "minecraft:jungle_slab", to: "ascent_paint:jungle_slab" },
  { from: "minecraft:acacia_slab", to: "ascent_paint:acacia_slab" },
  { from: "minecraft:dark_oak_slab", to: "ascent_paint:dark_oak_slab" },
  { from: "minecraft:mangrove_slab", to: "ascent_paint:mangrove_slab" },
  { from: "minecraft:cherry_slab", to: "ascent_paint:cherry_slab" },
  { from: "minecraft:crimson_slab", to: "ascent_paint:crimson_slab" },
  { from: "minecraft:warped_slab", to: "ascent_paint:warped_slab" },
  { from: "minecraft:bamboo_slab", to: "ascent_paint:bamboo_slab" },
  { from: "minecraft:bamboo_mosaic_slab", to: "ascent_paint:bamboo_mosaic_slab" },
  // { from: "minecraft:oak_stairs", to: "ascent_paint:oak_stairs" },
  // { from: "minecraft:spruce_stairs", to: "ascent_paint:spruce_stairs" },
  // { from: "minecraft:birch_stairs", to: "ascent_paint:birch_stairs" },
  // { from: "minecraft:jungle_stairs", to: "ascent_paint:jungle_stairs" },
  // { from: "minecraft:acacia_stairs", to: "ascent_paint:acacia_stairs" },
  // { from: "minecraft:dark_oak_stairs", to: "ascent_paint:dark_oak_stairs" },
  // { from: "minecraft:mangrove_stairs", to: "ascent_paint:mangrove_stairs" },
  // { from: "minecraft:cherry_stairs", to: "ascent_paint:cherry_stairs" },
  // { from: "minecraft:crimson_stairs", to: "ascent_paint:crimson_stairs" },
  // { from: "minecraft:warped_stairs", to: "ascent_paint:warped_stairs" },
  // { from: "minecraft:bamboo_stairs", to: "ascent_paint:bamboo_stairs" },
  { from: "minecraft:oak_leaves", to: "ascent_paint:oak_leaves" },
  { from: "minecraft:birch_leaves", to: "ascent_paint:birch_leaves" },
  { from: "minecraft:spruce_leaves", to: "ascent_paint:spruce_leaves" },
  { from: "minecraft:jungle_leaves", to: "ascent_paint:jungle_leaves" },
  { from: "minecraft:acacia_leaves", to: "ascent_paint:acacia_leaves" },
  { from: "minecraft:dark_oak_leaves", to: "ascent_paint:dark_oak_leaves" },
  { from: "minecraft:mangrove_leaves", to: "ascent_paint:mangrove_leaves" },
  { from: "minecraft:azalea_leaves", to: "ascent_paint:azalea_leaves" },
  { from: "minecraft:cherry_leaves", to: "ascent_paint:cherry_leaves" },
  { from: "minecraft:grass_block", to: "ascent_paint:grass_block" },
  { from: "minecraft:dirt", to: "ascent_paint:dirt" },
  { from: "minecraft:sand", to: "ascent_paint:sand" },
  // Covered red sand
  { from: "minecraft:bookshelf", to: "ascent_paint:bookshelf" },
  { from: "minecraft:clay", to: "ascent_paint:clay" },
  { from: "minecraft:hay_block", to: "ascent_paint:hay_block" },
  { from: "minecraft:sandstone_slab", to: "ascent_paint:sandstone_slab" },
  { from: "minecraft:red_sandstone_slab", to: "ascent_paint:sandstone_slab" },
  { from: "minecraft:smooth_sandstone", to: "ascent_paint:smooth_sandstone" },
  { from: "minecraft:smooth_red_sandstone", to: "ascent_paint:smooth_sandstone" },
  { from: "minecraft:smooth_sandstone_slab", to: "ascent_paint:smooth_sandstone_slab" },
  { from: "minecraft:smooth_red_sandstone_slab", to: "ascent_paint:smooth_sandstone_slab" },
  { from: "minecraft:cut_sandstone", to: "ascent_paint:cut_sandstone" },
  { from: "minecraft:cut_red_sandstone", to: "ascent_paint:cut_sandstone" },
  { from: "minecraft:cut_sandstone_slab", to: "ascent_paint:cut_sandstone_slab" },
  { from: "minecraft:cut_red_sandstone_slab", to: "ascent_paint:cut_sandstone_slab" },
  { from: "minecraft:chiseled_sandstone", to: "ascent_paint:chiseled_sandstone" },
  { from: "minecraft:chiseled_red_sandstone", to: "ascent_paint:chiseled_red_sandstone" },
  { from: "minecraft:sandstone", to: "ascent_paint:sandstone" },
  { from: "minecraft:red_sandstone", to: "ascent_paint:sandstone" },
  { from: "minecraft:cobblestone", to: "ascent_paint:cobblestone" },
  { from: "minecraft:cobblestone_slab", to: "ascent_paint:cobblestone_slab" },
  // { from: "minecraft:stone_stairs", to: "ascent_paint:cobblestone_stairs" },
  { from: "minecraft:mossy_cobblestone", to: "ascent_paint:mossy_cobblestone" },
  { from: "minecraft:mossy_cobblestone_slab", to: "ascent_paint:mossy_cobblestone_slab" },
  // { from: "minecraft:mossy_cobblestone_stairs", to: "ascent_paint:mossy_cobblestone_stairs" },
  { from: "minecraft:stone", fromData: { stone_type: "stone" }, to: "ascent_paint:stone" },
  { from: "minecraft:normal_stone_slab", to: "ascent_paint:stone_slab" },
  // { from: "minecraft:normal_stone_stairs", to: "ascent_paint:stone_stairs" },
  { from: "minecraft:stone_bricks", to: "ascent_paint:stonebrick" },
  { from: "minecraft:stone_brick_slab", to: "ascent_paint:stonebrick_slab" },
  // { from: "minecraft:stone_brick_stairs", to: "ascent_paint:stonebrick_stairs" },
  { from: "minecraft:chiseled_stone_bricks", to: "ascent_paint:stonebrick_chiseled" },
  { from: "minecraft:cracked_stone_bricks", to: "ascent_paint:stonebrick_cracked" },
  { from: "minecraft:mossy_stone_bricks", to: "ascent_paint:stonebrick_mossy" },
  { from: "minecraft:mossy_stone_brick_slab", to: "ascent_paint:stonebrick_mossy_slab" },
  // { from: "minecraft:mossy_stone_brick_stairs", to: "ascent_paint:stonebrick_mossy_stairs" },
  { from: "minecraft:smooth_stone", to: "ascent_paint:smooth_stone" },
  { from: "minecraft:smooth_stone_slab", to: "ascent_paint:smooth_stone_slab" },
  { from: "minecraft:brick_block", to: "ascent_paint:brick" },
  { from: "minecraft:brick_slab", to: "ascent_paint:brick_slab" },
  // { from: "minecraft:brick_stairs", to: "ascent_paint:brick_stairs" },
  { from: "minecraft:mud_bricks", to: "ascent_paint:mud_bricks" },
  { from: "minecraft:mud_brick_slab", to: "ascent_paint:mud_brick_slab" },
  // { from: "minecraft:mud_brick_stairs", to: "ascent_paint:mud_brick_stairs" },
  // { from: "minecraft:quartz_stairs", to: "ascent_paint:quartz_stairs" },
  { from: "minecraft:smooth_quartz", to: "ascent_paint:smooth_quartz" },
  { from: "minecraft:smooth_quartz_slab", to: "ascent_paint:smooth_quartz_slab" },
  // { from: "minecraft:smooth_quartz_stairs", to: "ascent_paint:smooth_quartz_stairs" },
  { from: "minecraft:chiseled_quartz_block", to: "ascent_paint:chiseled_quartz" },
  { from: "minecraft:quartz_pillar", to: "ascent_paint:quartz_pillar" },
  { from: "minecraft:quartz_bricks", to: "ascent_paint:quartz_bricks" },
  { from: "minecraft:quartz_block", to: "ascent_paint:quartz_block" },
  { from: "minecraft:quartz_slab", to: "ascent_paint:quartz_slab" },
  // { from: "minecraft:bamboo_mosaic_stairs", to: "ascent_paint:bamboo_mosaic_stairs" },
  { from: "minecraft:end_stone", to: "ascent_paint:end_stone" },
  { from: "minecraft:end_bricks", to: "ascent_paint:end_bricks" },
  { from: "minecraft:end_stone_brick_slab", to: "ascent_paint:end_brick_slab" },
  // { from: "minecraft:end_brick_stairs", to: "ascent_paint:end_brick_stairs" },
  { from: "minecraft:prismarine_bricks", to: "ascent_paint:prismarine_bricks" },
  { from: "minecraft:prismarine_brick_slab", to: "ascent_paint:prismarine_brick_slab" },
  // { from: "minecraft:prismarine_bricks_stairs", to: "ascent_paint:prismarine_brick_stairs" },
  { from: "minecraft:dark_prismarine", to: "ascent_paint:dark_prismarine" },
  { from: "minecraft:dark_prismarine_slab", to: "ascent_paint:dark_prismarine_slab" },
  // { from: "minecraft:dark_prismarine_stairs", to: "ascent_paint:dark_prismarine_stairs" },
  // Placed here to avoid reverting
  { from: "minecraft:prismarine", to: "ascent_paint:prismarine" },
  { from: "minecraft:prismarine_slab", to: "ascent_paint:prismarine_slab" },
  // { from: "minecraft:prismarine_stairs", to: "ascent_paint:prismarine_stairs" },
  { from: "minecraft:blackstone", to: "ascent_paint:blackstone" },
  { from: "minecraft:blackstone_slab", to: "ascent_paint:blackstone_slab" },
  // { from: "minecraft:blackstone_stairs", to: "ascent_paint:blackstone_stairs" },
  { from: "minecraft:polished_blackstone", to: "ascent_paint:polished_blackstone" },
  { from: "minecraft:polished_blackstone_slab", to: "ascent_paint:polished_blackstone_slab" },
  // { from: "minecraft:polished_blackstone_stairs", to: "ascent_paint:polished_blackstone_stairs" },
  { from: "minecraft:polished_blackstone_bricks", to: "ascent_paint:polished_blackstone_bricks" },
  { from: "minecraft:polished_blackstone_brick_slab", to: "ascent_paint:polished_blackstone_brick_slab" },
  // { from: "minecraft:polished_blackstone_brick_stairs", to: "ascent_paint:polished_blackstone_brick_stairs" },
  { from: "minecraft:cracked_polished_blackstone_bricks", to: "ascent_paint:cracked_polished_blackstone_bricks" },
  { from: "minecraft:chiseled_polished_blackstone", to: "ascent_paint:chiseled_polished_blackstone" },
  { from: "minecraft:polished_deepslate", to: "ascent_paint:polished_deepslate" },
  { from: "minecraft:polished_deepslate_slab", to: "ascent_paint:polished_deepslate_slab" },
  // { from: "minecraft:polished_deepslate_stairs", to: "ascent_paint:polished_deepslate_stairs" },
  { from: "minecraft:deepslate_bricks", to: "ascent_paint:deepslate_bricks" },
  { from: "minecraft:deepslate_brick_slab", to: "ascent_paint:deepslate_brick_slab" },
  // { from: "minecraft:deepslate_brick_stairs", to: "ascent_paint:deepslate_brick_stairs" },
  { from: "minecraft:cracked_deepslate_bricks", to: "ascent_paint:cracked_deepslate_bricks" },
  { from: "minecraft:chiseled_deepslate", to: "ascent_paint:chiseled_deepslate" },
  { from: "minecraft:deepslate_tiles", to: "ascent_paint:deepslate_tiles" },
  { from: "minecraft:deepslate_tile_slab", to: "ascent_paint:deepslate_tile_slab" },
  // { from: "minecraft:deepslate_tile_stairs", to: "ascent_paint:deepslate_tile_stairs" },
  { from: "minecraft:cracked_deepslate_tiles", to: "ascent_paint:cracked_deepslate_tiles" },
  { from: "minecraft:deepslate", to: "ascent_paint:deepslate" },
  { from: "minecraft:cobbled_deepslate", to: "ascent_paint:cobbled_deepslate" },
  { from: "minecraft:cobbled_deepslate_slab", to: "ascent_paint:cobbled_deepslate_slab" }
  // { from: "minecraft:cobbled_deepslate_stairs", to: "ascent_paint:cobbled_deepslate_stairs" },
];
const VanillaRevertMapping = [
  { from: "minecraft:white_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:orange_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:magenta_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:light_blue_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:yellow_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:lime_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:pink_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:gray_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:light_gray_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:cyan_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:purple_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:blue_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:brown_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:green_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:red_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:black_stained_glass", to: "minecraft:glass" },
  { from: "minecraft:white_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:orange_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:magenta_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:light_blue_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:yellow_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:lime_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:pink_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:gray_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:light_gray_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:cyan_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:purple_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:blue_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:brown_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:green_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:red_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:black_stained_glass_pane", to: "minecraft:glass_pane" },
  { from: "minecraft:white_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:orange_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:magenta_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:light_blue_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:yellow_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:lime_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:pink_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:gray_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:light_gray_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:cyan_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:purple_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:blue_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:brown_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:green_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:red_terracotta", to: "minecraft:hardened_clay" },
  { from: "minecraft:black_terracotta", to: "minecraft:hardened_clay" }
];
const stateMapping = [
  { from: "weirdo_direction", to: "ascent:direction", fromValue: [0, 1, 2, 3], toValue: [0, 1, 2, 3] },
  { from: "upside_down_bit", to: "minecraft:vertical_half", fromValue: [false, true], toValue: ["bottom", "top"] },
  { from: "pillar_axis", to: "minecraft:block_face", fromValue: ["x", "x", "y", "y", "z", "z"], toValue: ["east", "west", "up", "down", "north", "south"] },
  // At the bottom to not be used for reverting
  { from: "minecraft:vertical_half", to: "minecraft:vertical_half", fromValue: ["bottom", "top"], toValue: ["bottom", "top"] }
];
function extractColor(blockTypeId) {
  const colorPattern = new RegExp(`_(${Object.keys(paintbrushColors).join("|")})$`);
  const match = blockTypeId.match(colorPattern);
  return match ? match[1] : null;
}
export {
  BlockMapping,
  VanillaRevertMapping,
  extractColor,
  paintbrushColors,
  stateMapping
};
